
/*
 * UUHOSTS  -- List all UUCP sites connected to our system
 *
 *  $Header: Beta:src/uucp/src/uucico/RCS/uuhosts.c,v 1.1 90/02/02 11:55:57 dillon Exp Locker: dillon $
 *
 *
 * Usage: UUHOSTS
 *
 * Copyright 1988 by William Loftus.  All rights reserved.
 *
 * ARPA: wpl@prc.unisys.com
 * UUCP: wpl@burdvax.UUCP
 * USMAIL: Unisys/Paoli Research Center;PO BOX 517;Paoli, PA 19301-0517
 *
 */

#include <stdio.h>
#include "version.h"
#include "protos.h"

IDENT(".02");

void
main()
{
    char buf[256];
    FILE *fd;

    if (!(fd = fopen(MakeConfigPath(UULIB, "L.sys"), "r"))) {
	printf("Couldn't open L.sys file\n");
	exit(1);
    }

    while (fgets(buf, sizeof buf, fd)) {
	if (buf[0] == '#' || buf[0] == '\n')
	    continue;
	buf[(int)strchr(buf,' ') - (int)buf] = '\0';
	printf("%s\n", buf);
    }
    fclose(fd);
}

